package com.glxp.udi.admin.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 跨域配置
 */
@Data
@Configuration
@Component
@ConfigurationProperties(prefix = "cors")
public class CorsConfig {

    // 允许的域
    private String allowedOrigins;
    // 允许的方法
    private String allowedMethods;
    // 允许的头信息
    private String allowedHeaders;
    private String coallowedCredentials;

}
