package com.glxp.udi.admin.dao.auth;

import com.glxp.udi.admin.entity.auth.UserRegisterEntity;
import com.glxp.udi.admin.req.auth.UserResisterFilterRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserRegisterDao {

    List<UserRegisterEntity> filterUserRegisters(UserResisterFilterRequest userResisterFilterRequest);

    boolean insertUserRegister(UserRegisterEntity userRegisterEntity);

    boolean updateUserRegister(UserRegisterEntity userRegisterEntity);

    boolean deleteById(Long id);

    UserRegisterEntity selectById(Integer id);

    UserRegisterEntity selectByCustomerId(Long id);



    boolean deleteByCustomerId(Long id);

    String isExit(String phoneNum);
}
