package com.glxp.udi.admin.dao.info;

import com.glxp.udi.admin.entity.info.EnterpriseCertEntity;
import com.glxp.udi.admin.req.info.DeleteEnterpriseCertRequest;
import com.glxp.udi.admin.req.info.FilterEnterpriseCertRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EnterpriseCertDao {

    boolean insertEnterpriseCert(EnterpriseCertEntity enterpriseCertEntity);

    boolean insertEnterpriseCertList(@Param("enterpriseCertEntities") List<EnterpriseCertEntity> enterpriseCertEntities);

    boolean deleteEnterpriseCert(DeleteEnterpriseCertRequest deleteEnterpriseCertRequest);

    boolean modifyEnterpriseCert(EnterpriseCertEntity EnterpriseCertEntity);

    List<EnterpriseCertEntity> selectBySubProductId(String  subProductId);

    List<EnterpriseCertEntity> filterEnterpriseCerts(FilterEnterpriseCertRequest filterEnterpriseCertRequest);
}
