package com.glxp.udi.admin.dao.info;

import com.glxp.udi.admin.entity.info.EnterpriseEntity;
import com.glxp.udi.admin.req.info.DeleteEnterpriseRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EnterpriseDao {

    boolean insertEnterprise(EnterpriseEntity enterpriseEntity);

    boolean insertEnterpriseList(@Param("enterpriseEntities") List<EnterpriseEntity> enterpriseEntities);

    boolean deleteEnterprise(DeleteEnterpriseRequest deleteEnterpriseRequest);

    boolean modifyEnterprise(EnterpriseEntity enterpriseEntity);

    List<EnterpriseEntity> selectBySubProductId(String  subProductId);

    List<EnterpriseEntity> filterEnterprises(String  subProductId);

}
