package com.glxp.udi.admin.dao.info;

import com.glxp.udi.admin.entity.info.FacidentcodeEntity;
import com.glxp.udi.admin.req.info.DeleteFacidentcodeRequest;
import com.glxp.udi.admin.req.info.FilterFacidentcodeRequest;
import com.glxp.udi.admin.res.basic.FacidentcodeResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FacidentcodeDao {

    boolean insertFacidentcode(FacidentcodeEntity facidentcodeEntity);

    boolean insertFacidentcodeList(@Param("facidentcodeEntities") List<FacidentcodeEntity> facidentcodeEntities);

    boolean deleteFacidentcode(DeleteFacidentcodeRequest deleteFacidentcodeRequest);

    boolean modifyFacidentcode(FacidentcodeEntity facidentcodeEntity);

    List<FacidentcodeResponse> selectByCustomerId(FilterFacidentcodeRequest filterFacidentcodeRequest);

    List<String>  selectAll(String customerId);
}
