package com.glxp.udi.admin.dao.info;

import com.glxp.udi.admin.entity.info.IdentifierEntity;
import com.glxp.udi.admin.req.info.DeleteIdentifierRequest;
import com.glxp.udi.admin.req.info.FilterIdentifierRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface IdentifierDao {

    boolean insertIdentifier(IdentifierEntity identifierEntity);

    boolean insertIdentifierList(@Param("identifierEntities") List<IdentifierEntity> identifierEntities);

    boolean deleteIdentifier(DeleteIdentifierRequest deleteIdentifierRequest);

    boolean modifyIdentifier(IdentifierEntity identifierEntity);

    boolean deleteIdentifierByFacidentcode(String UDI_FacIdentCode_FK);

    List<IdentifierEntity> selectByfacident(FilterIdentifierRequest filterIdentifierRequest);

    String randomCode(FilterIdentifierRequest filterIdentifierRequest);

    Integer isUsed(String facidentcode);

    Integer isUsedIdentifyCode(String code);

    boolean updateIsUsed(IdentifierEntity identifierEntity);

    List<IdentifierEntity> selectIdentifyCode(String code);
}
