package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.BusRoleRlEntity;
import com.glxp.udi.admin.req.inout.BusRoleRlFilterRequest;
import com.glxp.udi.admin.res.inout.BusRoleRlResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BusRoleRlDao {

    List<BusRoleRlEntity> filterList(BusRoleRlFilterRequest bussinessTypeFilterRequest);

    List<BusRoleRlResponse> filterJoinList(BusRoleRlFilterRequest bussinessTypeFilterRequest);

    boolean insertBusRoleRl(BusRoleRlEntity bussinessTypeEntity);

    boolean updateBusRoleRl(BusRoleRlEntity bussinessTypeEntity);

    boolean deleteById(@Param("id") String id);

}
