package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.Druginfo;
import com.glxp.udi.admin.req.inout.DrugFilterRequest;
import com.glxp.udi.admin.req.inout.DrugInfoRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DruginfoDao {

    List<Druginfo> listDrugInfo(DrugInfoRequest drugInfoRequest);

    List<Druginfo> filterDrugInfo(DrugFilterRequest drugInfoRequest);

    boolean insertDrugInfo(Druginfo druginfo);

    boolean updateDrugInfo(Druginfo druginfo);

    boolean deleteById(long id);

    List<Druginfo> getSimplyDrugs(@Param("coName") String coName, @Param("packRatio") String packRatio,@Param("packSpec") String packSpec);

    String isExit(@Param("nameCode") String nameCode);

    List<Druginfo> getDrugsByUuid(@Param("uuid") String uuid);

    Druginfo selectByNamecode(@Param("nameCode") String nameCode);
}
