package com.glxp.udi.admin.dao.publish;

import com.glxp.udi.admin.entity.publish.UdiDeviceCliEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiDeviceCliRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiDeviceCliDao {

    boolean insertUdiDeviceCli(UdiDeviceCliEntity udiDeviceCliEntity);

    boolean insertUdiDeviceCliList(@Param("udiDeviceCliEntities") List<UdiDeviceCliEntity> udiDeviceCliEntities);

    boolean deleteUdiDeviceCli(DeleteUdiDeviceCliRequest deleteUdiDeviceCliRequest);

    boolean modifyUdiDeviceCli(UdiDeviceCliEntity udiDeviceCliEntity);

    List<UdiDeviceCliEntity> selectBySubProductId(String  subProductId);


}
