package com.glxp.udi.admin.dao.publish;

import com.glxp.udi.admin.entity.publish.UdiSubProductEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiSubProductRequest;
import com.glxp.udi.admin.req.publish.FilterUdiSubProductRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiSubProductDao {

    boolean insertUdiSubProduct(UdiSubProductEntity UdiSubProductEntity);

    boolean insertUdiSubProductList(@Param("UdiSubProductEntities") List<UdiSubProductEntity> UdiSubProductEntities);

    boolean deleteUdiSubProduct(DeleteUdiSubProductRequest deleteUdiSubProductRequest);

    boolean modifyUdiSubProduct(UdiSubProductEntity UdiSubProductEntity);

    List<UdiSubProductEntity> filterAll(FilterUdiSubProductRequest filterCodeContrastRequest);

    Integer selectCount(String productId);

    UdiSubProductEntity selectById(String UDI_SubProductOID);
}
