package com.glxp.udi.admin.dao.receipt;

import com.glxp.udi.admin.entity.receipt.ProductOrderDetailEntity;
import com.glxp.udi.admin.entity.receipt.ProductOrderEntity;
import com.glxp.udi.admin.req.receipt.AddProductRequest;
import com.glxp.udi.admin.req.receipt.ProductFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProductDao {

    List<ProductOrderDetailEntity> filterList(ProductFilterRequest productFilterRequest);

    List<ProductOrderEntity> filterProductOrder(ProductFilterRequest productFilterRequest);

    boolean insertProduct(AddProductRequest productOrderEntity);

    boolean addProduct(ProductOrderEntity productOrderEntity);

    boolean insertProductList(@Param("productOrderEntities") List<ProductOrderEntity> productOrderEntities);

    boolean deleteById(@Param("id") String id);

    boolean updateProduct(ProductOrderEntity productOrderEntity);

    ProductOrderEntity selectById(@Param("id") String id);

    String isExit(@Param("orderNo") String OrderNo);
}
