package com.glxp.udi.admin.dao.receipt;

import com.glxp.udi.admin.entity.receipt.ReceiptsEntity;
import com.glxp.udi.admin.req.receipt.ReceiptFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ReceiptDao {


    List<ReceiptsEntity> filterList(ReceiptFilterRequest receiptFilterRequest);

    boolean insertReceipts(@Param("receipts") List<ReceiptsEntity> receipts);

    boolean updateReceipts(ReceiptsEntity receiptsEntity);

    boolean deleteById(@Param("id") String id);
}
