package com.glxp.udi.admin.entity.info;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

//生成项目码
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY,getterVisibility = JsonAutoDetect.Visibility.NONE)
public class IdentifierEntity {

    public IdentifierEntity(){}
    public IdentifierEntity(String isReg, String isSPTM, String identifierCode, String isUDI) {
        IsReg = isReg;
        this.isSPTM = isSPTM;
        IdentifierCode = identifierCode;
        IsUDI = isUDI;
    }

    private String GtinCode;
    private String isGTIN;
    private String IsReg;
    private String isSPTM;
    private String BZ;
    private String IdentifierCode;
    private String IsUDI;
    private String SeqNumber;
    private String UDI_FacIdentCode_FK;
    private String UDI_DeviceId_FK;
    /**
     GTIN码
     是否GTIN
     是否使用注册证
     是否使用商品条码
     备注
     产品项目码
     是否使用UDI
     顺序号
     厂商识别码外键
     产品标识信息外键
     */

    private String UDI_IdentifierOID;
    private String SYS_Created;
    private String SYS_LAST_UPD;
    private String SYS_Deleted;
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;

    public String getGtinCode() {
        return GtinCode;
    }

    public void setGtinCode(String gtinCode) {
        GtinCode = gtinCode;
    }

    public String getIsGTIN() {
        return isGTIN;
    }

    public void setIsGTIN(String isGTIN) {
        this.isGTIN = isGTIN;
    }

    public String getIsReg() {
        return IsReg;
    }

    public void setIsReg(String isReg) {
        IsReg = isReg;
    }

    public String getIsSPTM() {
        return isSPTM;
    }

    public void setIsSPTM(String isSPTM) {
        this.isSPTM = isSPTM;
    }

    public String getBZ() {
        return BZ;
    }

    public void setBZ(String BZ) {
        this.BZ = BZ;
    }

    public String getIdentifierCode() {
        return IdentifierCode;
    }

    public void setIdentifierCode(String identifierCode) {
        IdentifierCode = identifierCode;
    }

    public String getIsUDI() {
        return IsUDI;
    }

    public void setIsUDI(String isUDI) {
        IsUDI = isUDI;
    }

    public String getSeqNumber() {
        return SeqNumber;
    }

    public void setSeqNumber(String seqNumber) {
        SeqNumber = seqNumber;
    }

    public String getUDI_FacIdentCode_FK() {
        return UDI_FacIdentCode_FK;
    }

    public void setUDI_FacIdentCode_FK(String UDI_FacIdentCode_FK) {
        this.UDI_FacIdentCode_FK = UDI_FacIdentCode_FK;
    }

    public String getUDI_DeviceId_FK() {
        return UDI_DeviceId_FK;
    }

    public void setUDI_DeviceId_FK(String UDI_DeviceId_FK) {
        this.UDI_DeviceId_FK = UDI_DeviceId_FK;
    }

    public String getUDI_IdentifierOID() {
        return UDI_IdentifierOID;
    }

    public void setUDI_IdentifierOID(String UDI_IdentifierOID) {
        this.UDI_IdentifierOID = UDI_IdentifierOID;
    }

    public String getSYS_Created() {
        return SYS_Created;
    }

    public void setSYS_Created(String SYS_Created) {
        this.SYS_Created = SYS_Created;
    }

    public String getSYS_LAST_UPD() {
        return SYS_LAST_UPD;
    }

    public void setSYS_LAST_UPD(String SYS_LAST_UPD) {
        this.SYS_LAST_UPD = SYS_LAST_UPD;
    }

    public String getSYS_Deleted() {
        return SYS_Deleted;
    }

    public void setSYS_Deleted(String SYS_Deleted) {
        this.SYS_Deleted = SYS_Deleted;
    }

    public String getSYS_CreatedBy() {
        return SYS_CreatedBy;
    }

    public void setSYS_CreatedBy(String SYS_CreatedBy) {
        this.SYS_CreatedBy = SYS_CreatedBy;
    }

    public String getSYS_REPLACEMENT() {
        return SYS_REPLACEMENT;
    }

    public void setSYS_REPLACEMENT(String SYS_REPLACEMENT) {
        this.SYS_REPLACEMENT = SYS_REPLACEMENT;
    }

    public String getSYS_POSTN() {
        return SYS_POSTN;
    }

    public void setSYS_POSTN(String SYS_POSTN) {
        this.SYS_POSTN = SYS_POSTN;
    }

    public String getSYS_DIVISION() {
        return SYS_DIVISION;
    }

    public void setSYS_DIVISION(String SYS_DIVISION) {
        this.SYS_DIVISION = SYS_DIVISION;
    }

    public String getSYS_ORG() {
        return SYS_ORG;
    }

    public void setSYS_ORG(String SYS_ORG) {
        this.SYS_ORG = SYS_ORG;
    }

    public String getSYS_LAST_UPD_BY() {
        return SYS_LAST_UPD_BY;
    }

    public void setSYS_LAST_UPD_BY(String SYS_LAST_UPD_BY) {
        this.SYS_LAST_UPD_BY = SYS_LAST_UPD_BY;
    }
}
