package com.glxp.udi.admin.entity.publish;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Data;

@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY,getterVisibility = JsonAutoDetect.Visibility.NONE)
public class UdiDeviceCliEntity {

    private String UDI_DeviceCliOID;
    private String LCSYCCLX;        //临床使用尺寸类型
    private String CCZ;     //尺寸值
    private String CCDW;       //尺寸单位
    private String UDI_SubProduct_FK;   //子类信息外键


    //未用
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;
    private String SYS_Created;
    private String SYS_LAST_UPD;
    private String SYS_Deleted;

    private int isDelete;  //1:已删除


}
