package com.glxp.udi.admin.entity.publish;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Data;

@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY,getterVisibility = JsonAutoDetect.Visibility.NONE)
public class UdiDeviceSrgEntity {

    private String UDI_DeviceSrgOID;        //
    private String storageType;     //储存或操作条件
    private String lowValue;        //最低值
    private String highValue;       //最高值
    private String unit;        //计量单位
    private String UDI_SubProduct_FK;        //子类信息外键

    //未用
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;
    private String SYS_Created;
    private String SYS_LAST_UPD;
    private String SYS_Deleted;


    private int isDelete;  //1:已删除

}
