package com.glxp.udi.admin.req.publish;

import java.util.List;
//提交
public class PostIdentifyKeyRequest {

    /**
     * accessToken : 接口调用凭据， P002 获取
     * dataSet : [{"deviceRecordKey":"标识数据记录 key1","ZXXSDYCPBS":"最小销售单元产品标识 1"},{"deviceRecordKey":"标识数据记录 key2","ZXXSDYCPBS":"最小销售单元产品标识 2"}]
     */

    private String accessToken;
    private List<DataSetBean> dataSet;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public List<DataSetBean> getDataSet() {
        return dataSet;
    }

    public void setDataSet(List<DataSetBean> dataSet) {
        this.dataSet = dataSet;
    }

    public static class DataSetBean {
        /**
         * deviceRecordKey : 标识数据记录 key1
         * ZXXSDYCPBS : 最小销售单元产品标识 1
         */

        private String deviceRecordKey;
        private String ZXXSDYCPBS;

        public String getDeviceRecordKey() {
            return deviceRecordKey;
        }

        public void setDeviceRecordKey(String deviceRecordKey) {
            this.deviceRecordKey = deviceRecordKey;
        }

        public String getZXXSDYCPBS() {
            return ZXXSDYCPBS;
        }

        public void setZXXSDYCPBS(String ZXXSDYCPBS) {
            this.ZXXSDYCPBS = ZXXSDYCPBS;
        }
    }
}
