package com.glxp.udi.admin.res.auth;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 后台管理的 管理员管理页面的 VO
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AuthAdminResponse {

    // 主键
    private Long id;
    // 昵称
    private String userName;
    // 登录密码
    private String passWord;

    // 最后登录ip
    private String lastLoginIp;
    // 最后登录时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastLoginTime;
    // 创建时间
    private Date createTime;
    // 状态
    private Integer userFlag;

    private Date lastModifyTime;
    private String comments;
    private String employeeName;
    private Integer CustomerId;
    // 角色ids
    private List<Long> roles;

}
