package com.glxp.udi.admin.res.publish;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Data;

@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE)
public class UdiDeviceIdResponse {
    private String UDI_DeviceIdOID;         //
    private String primaryDeviceId;         //最小销售单元产品标识
    private String publishDate;         //产品标识发布日期
    private String pkgQuantity;         //最小销售单元中使用单元数量
    private String useUnitDeviceId;         //使用单元产品标识
    private String deviceCarrier;         //标识载体（可多选）
    private String isSameRegDI;         //是否与注册/备案产品标识一致
    private String registrationDI;         //注册/备案产品标识
    private String isDirectMark;         //是否有本体直接标识
    private String isSameDeviceId;         //本体标识与最小销售单元标识是否一致
    private String directMarkDI;         //本体产品标识
    private String isLotBatch;         //生产标识是否包含批号
    private String isSerialNumber;         //   生产标识是否包含序列号
    private String isManufacturingDate;         //生产标识是否包含生产日期
    private String isExpirationDate;         //生产标识是否包含失效日期
    private String Status;         //状态
    private String deviceRecordKey;         //
    private String TYSHXYDM;                //
    private String IndentCode;         //厂商识别码
    private String UDI_SubProduct_FK;         //子类信息外籍
    private String UDI_DeviceId_FK;         //产品标识信息
    private String UDI_StandAgency_FK;         //发码机构
    private String UDI_FacIdentCode_FK;         //厂商识别码
    private String UDI_Product_FK;         //产品信息

    //关联查询信息
    private String specification;       //规格型号
    private String issuingAgency;       //编码 GS1
    private String productName;         //产品名称
    private String brandName;           //商品名称
    private String deviceDescription;   //产品描述
    private String catalogNumber;       //产品货号或编号
    private String deviceKit;           //医疗器械是否为包类/组套类产品： 1 是 0 否
    private String productType;         //产品类型
    private String productCode;         //分类编码
    private String productOldCode;          //原分类编码
    private String companyGBName;         //医疗器械注册人
    private String businessLicense;
    private String companyName;
    private String regcardCodes;
    private String deviceType;
    private String singleUse;
    private String reuseTimes;
    private String isDeviceSterile;
    private String isSterilizationUse;
    private String sterilizationMethod;
    private String YBBM;
    private String MRISafetyInfo;
    private String specialText;
    private String clinicalSizeText;
    private String otherInfoLink;
    private String deviceEndDate;

    //产品信息


}
