package com.glxp.udi.admin.service.auth;

import com.glxp.udi.admin.entity.auth.CustomerDetailEntity;
import com.glxp.udi.admin.entity.auth.CustomerInfoEntity;
import com.glxp.udi.admin.req.auth.CustomerInfoFilterRequest;

import java.util.List;

public interface CustomerInfoService {

    List<CustomerInfoEntity> filterCustomerInfo(CustomerInfoFilterRequest customerInfoFilterRequest);

    List<CustomerDetailEntity> filterDetailCustomer(CustomerInfoFilterRequest customerInfoFilterRequest);

    boolean insertCustomerInfo(CustomerInfoEntity customerInfoEntity);

    boolean updateCustomerInfo(CustomerInfoEntity customerInfoEntity);
    boolean modifyCustomerInfo(CustomerDetailEntity customerDetailEntity);
    boolean deleteById(Long id);

    CustomerInfoEntity selectById(Long customerId);
    CustomerDetailEntity selectDetail(Long customerId);
}
