package com.glxp.udi.admin.service.auth.impl;

import com.glxp.udi.admin.entity.auth.CustomerContactEntity;
import com.glxp.udi.admin.req.auth.CustomerContactFilterRequest;
import com.glxp.udi.admin.req.inout.DeleteRequest;

import java.util.List;

public interface CustomerContactService {

    List<CustomerContactEntity> filterCustomerContact(CustomerContactFilterRequest userResisterFilterRequest);

    boolean insertCustomerContact(CustomerContactEntity customerContactEntity);

    boolean updateCustomerContact(CustomerContactEntity customerContactEntity);

    boolean deleteById(Long id);

    boolean deleteContact(DeleteRequest deleteRequest);

    CustomerContactEntity selectById(Long  emailId);
}
