package com.glxp.udi.admin.service.contrast.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udi.admin.dao.contrast.CodeContrastDao;
import com.glxp.udi.admin.entity.contrast.CodeContrastEntity;
import com.glxp.udi.admin.req.ListPageRequest;
import com.glxp.udi.admin.req.contrast.FilterCodeContrastRequest;
import com.glxp.udi.admin.service.contrast.CodeContrastService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class CodeContrastServiceImpl implements CodeContrastService {

    @Resource
    CodeContrastDao codeContrastDao;

    @Override
    public boolean insertCodeContrast(CodeContrastEntity codeContrastEntity) {
        return codeContrastDao.insertCodeContrast(codeContrastEntity);
    }

    @Override
    public boolean insertCodeContrastList(List<CodeContrastEntity> codeContrastEntitys) {
        return codeContrastDao.insertCodeContrastList(codeContrastEntitys);
    }

    @Override
    public List<CodeContrastEntity> listCodeContrast(ListPageRequest listPageRequest,Long customerId) {
        if (listPageRequest == null) {
            return Collections.emptyList();
        }
        int offset = (listPageRequest.getPage() - 1) * listPageRequest.getLimit();
        PageHelper.offsetPage(offset, listPageRequest.getLimit());
        List<CodeContrastEntity> codeContrastEntities = codeContrastDao.selectByCustomerId(customerId);
        return codeContrastEntities;
    }

    @Override
    public List<CodeContrastEntity> filterCodeContrast(FilterCodeContrastRequest filterCodeContrastRequest) {
//        if (filterCodeContrastRequest == null) {
//            return Collections.emptyList();
//        }
//        int offset = (filterCodeContrastRequest.getPage() - 1) * filterCodeContrastRequest.getLimit();
//        PageHelper.offsetPage(offset, filterCodeContrastRequest.getLimit());
//        List<CodeContrastEntity> codeContrastEntities = codeContrastDao.filterCodeContrast(filterCodeContrastRequest);
//        return codeContrastEntities;
        return null;
    }
}
