package com.glxp.udi.admin.service.contrast.impl;

import com.glxp.udi.admin.dao.contrast.CustomercontrastDao;
import com.glxp.udi.admin.entity.contrast.CodeContrastDetailEntity;
import com.glxp.udi.admin.entity.contrast.CustomercontrastEntity;
import com.glxp.udi.admin.req.contrast.DeleteCustomerContrastRequest;
import com.glxp.udi.admin.req.contrast.FilterCodeContrastRequest;
import com.glxp.udi.admin.service.contrast.CustomercontrastService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CustomercontrastServiceImpl implements CustomercontrastService {
    @Resource
    CustomercontrastDao customercontrastDao;

    @Override
    public boolean insertCustomercontrast(CustomercontrastEntity customercontrastEntity) {
        return customercontrastDao.insertCustomercontrast(customercontrastEntity);
    }

    @Override
    public boolean insertCustomercontrastList(List<CustomercontrastEntity> customercontrastEntities) {
        return customercontrastDao.insertCustomercontrastList(customercontrastEntities);
    }

    @Override
    public boolean deleteCustomercontrast(DeleteCustomerContrastRequest deleteCustomerContrastRequest) {
        return customercontrastDao.deleteCustomercontrast(deleteCustomerContrastRequest);
    }

    @Override
    public List<CustomercontrastEntity> selectByCustomerId(Long customerId) {
        return customercontrastDao.selectByCustomerId(customerId);
    }

    @Override
    public List<CodeContrastDetailEntity> filterDetailByCustomerId(FilterCodeContrastRequest filterCodeContrastRequest) {
        return customercontrastDao.filterDetailByCustomerId(filterCodeContrastRequest);
    }

    @Override
    public List<CodeContrastDetailEntity> filterDetailAll(FilterCodeContrastRequest filterCodeContrastRequest) {
        return customercontrastDao.filterDetailAll(filterCodeContrastRequest);
    }


}
