package com.glxp.udi.admin.service.contrast.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udi.admin.dao.contrast.WhitecodeDao;
import com.glxp.udi.admin.entity.contrast.WhitecodeEntity;
import com.glxp.udi.admin.req.ListPageRequest;
import com.glxp.udi.admin.service.contrast.WhitecodeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class WhitecodeServiceImpl implements WhitecodeService {

    @Resource
    WhitecodeDao whitecodeDao;

    @Override
    public List<WhitecodeEntity> findAll(ListPageRequest listPageRequest) {
        if (listPageRequest == null) {
            return Collections.emptyList();
        }
        int offset = (listPageRequest.getPage() - 1) * listPageRequest.getLimit();
        PageHelper.offsetPage(offset, listPageRequest.getLimit());
        List<WhitecodeEntity> whitecodeEntities = whitecodeDao.selectAll();
        return whitecodeEntities;
    }
}
