package com.glxp.udi.admin.service.info.impl;

import com.glxp.udi.admin.dao.info.FacidentcodeDao;
import com.glxp.udi.admin.entity.info.FacidentcodeEntity;
import com.glxp.udi.admin.req.info.DeleteFacidentcodeRequest;
import com.glxp.udi.admin.req.info.FilterFacidentcodeRequest;
import com.glxp.udi.admin.res.basic.FacidentcodeResponse;
import com.glxp.udi.admin.service.info.FacidentcodeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class FacidentcodeServiceImpl implements FacidentcodeService {

    @Resource
    FacidentcodeDao facidentcodeDao;

    @Override
    public boolean insertFacidentcode(FacidentcodeEntity facidentcodeEntity) {
        return facidentcodeDao.insertFacidentcode(facidentcodeEntity);
    }

    @Override
    public boolean insertFacidentcodeList(List<FacidentcodeEntity> facidentcodeEntities) {
        return facidentcodeDao.insertFacidentcodeList(facidentcodeEntities);
    }

    @Override
    public boolean deleteFacidentcode(DeleteFacidentcodeRequest deleteFacidentcodeRequest) {
        return facidentcodeDao.deleteFacidentcode(deleteFacidentcodeRequest);
    }

    @Override
    public boolean modifyFacidentcode(FacidentcodeEntity facidentcodeEntity) {
        return facidentcodeDao.modifyFacidentcode(facidentcodeEntity);
    }

    @Override
    public List<FacidentcodeResponse> selectByCustomerId(FilterFacidentcodeRequest filterFacidentcodeRequest) {
        return facidentcodeDao.selectByCustomerId(filterFacidentcodeRequest);
    }

    @Override
    public List<String> selectAll(String customerId) {
        return facidentcodeDao.selectAll(customerId);
    }
}
