package com.glxp.udi.admin.service.info.impl;

import com.glxp.udi.admin.dao.info.SetupDao;
import com.glxp.udi.admin.entity.info.SetupEntity;
import com.glxp.udi.admin.req.info.FilterSetupRequest;
import com.glxp.udi.admin.service.info.SetupService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class SetupServiceImpl implements SetupService {
    @Resource
    SetupDao setupDao;


    @Override
    public SetupEntity selectSetup() {
        FilterSetupRequest filterSetupRequest = new FilterSetupRequest();
        filterSetupRequest.setId(1);
        return setupDao.findSetup(filterSetupRequest);
    }

    @Override
    public SetupEntity findSetup(FilterSetupRequest filterSetupRequest) {
        return setupDao.findSetup(filterSetupRequest);
    }

    @Override
    public boolean modifySetup(SetupEntity setupEntity) {

        return setupDao.modifySetup(setupEntity);
    }

    @Override
    public boolean insertSetup(SetupEntity setupEntity) {
        return setupDao.insertSetup(setupEntity);
    }
}
