package com.glxp.udi.admin.service.inout;


import com.glxp.udi.admin.entity.inout.UdiInfoEntity;
import com.glxp.udi.admin.req.inout.FilterUdiInfoRequest;

import java.util.List;

public interface UdiInfoService {

    List<UdiInfoEntity> filterUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiInfoEntity> filterUdiInfoGp(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiInfoEntity> filterAllUdiInfo(FilterUdiInfoRequest filterUdiInfoRequest);

    UdiInfoEntity findByNameCode(String nameCode);

    UdiInfoEntity selectById(String nameCode);

    UdiInfoEntity findByUuid(String uuid);

    List<UdiInfoEntity> findByUuids(String uuid);

    boolean insertUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean insertUdiInfos(List<UdiInfoEntity> udiInfoEntities);

    boolean updateUdiInfo(UdiInfoEntity udiInfoEntity);

    boolean deleteById(String id);

    boolean deleteByUuid(String uuid);

    boolean updateUdiInfoByUuid(UdiInfoEntity udiInfoEntity);

}
