package com.glxp.udi.admin.service.publish;

import com.glxp.udi.admin.entity.publish.UdiProductEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiProductRequest;
import com.glxp.udi.admin.req.publish.FilterUdiProductRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UdiProductService {

    boolean insertUdiProduct(UdiProductEntity UdiProductEntity);

    boolean insertUdiProductList(@Param("udiProductEntities") List<UdiProductEntity> UdiProductEntities);

    boolean deleteUdiProduct(DeleteUdiProductRequest deleteUdiProductRequest);

    boolean modifyUdiProduct(UdiProductEntity UdiProductEntity);

    List<UdiProductEntity> selectByCustomerId(Long customerId);
    UdiProductEntity selectById(String  id);

    List<UdiProductEntity> filterAll(FilterUdiProductRequest filterCodeContrastRequest);

}
