package com.glxp.udi.admin.service.publish;

import com.glxp.udi.admin.entity.publish.UdiSubProductEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiSubProductRequest;
import com.glxp.udi.admin.req.publish.FilterUdiSubProductRequest;

import java.util.List;

public interface UdiSubProductService {

    boolean insertUdiSubProduct(UdiSubProductEntity udiSubProductEntity);

    boolean insertUdiSubProductList(List<UdiSubProductEntity> udiSubProductEntities);

    boolean deleteUdiSubProduct(DeleteUdiSubProductRequest deleteUdiSubProductRequest);

    boolean modifyUdiSubProduct(UdiSubProductEntity udiSubProductEntity);

    List<UdiSubProductEntity> filterAll(FilterUdiSubProductRequest filterCodeContrastRequest);

    Integer selectCount(String productId);

    UdiSubProductEntity selectById(String UDI_SubProductOID);
}
