package com.glxp.udi.admin.service.publish.impl;

import com.glxp.udi.admin.dao.publish.UdiDeviceCliDao;
import com.glxp.udi.admin.entity.publish.UdiDeviceCliEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiDeviceCliRequest;
import com.glxp.udi.admin.service.publish.UdiDeviceCliService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class UdiDeviceCliServiceImpl implements UdiDeviceCliService {

    @Resource
    UdiDeviceCliDao udiDeviceCliDao;

    @Override
    public boolean insertUdiDeviceCli(UdiDeviceCliEntity udiDeviceCliEntity) {
        return udiDeviceCliDao.insertUdiDeviceCli(udiDeviceCliEntity);
    }

    @Override
    public boolean insertUdiDeviceCliList(List<UdiDeviceCliEntity> udiDeviceCliEntities) {
        return udiDeviceCliDao.insertUdiDeviceCliList(udiDeviceCliEntities);
    }

    @Override
    public boolean deleteUdiDeviceCli(DeleteUdiDeviceCliRequest deleteUdiDeviceCliRequest) {
        return udiDeviceCliDao.deleteUdiDeviceCli(deleteUdiDeviceCliRequest);
    }

    @Override
    public boolean modifyUdiDeviceCli(UdiDeviceCliEntity udiDeviceCliEntity) {
        return udiDeviceCliDao.modifyUdiDeviceCli(udiDeviceCliEntity);
    }

    @Override
    public List<UdiDeviceCliEntity> selectBySubProductId(String subProductId) {
        return udiDeviceCliDao.selectBySubProductId(subProductId);
    }
}
