package com.glxp.udi.admin.service.publish.impl;

import com.glxp.udi.admin.dao.publish.UdiDeviceSrgDao;
import com.glxp.udi.admin.entity.publish.UdiDeviceSrgEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiDeviceSrgRequest;
import com.glxp.udi.admin.service.publish.UdiDeviceSrgService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class UdiDeviceSrgServiceImpl implements UdiDeviceSrgService {


    @Resource
    UdiDeviceSrgDao udiDeviceSrgDao;

    @Override
    public boolean insertUdiDeviceSrg(UdiDeviceSrgEntity udiDeviceSrgEntity) {
        return udiDeviceSrgDao.insertUdiDeviceSrg(udiDeviceSrgEntity);
    }

    @Override
    public boolean insertUdiDeviceSrgList(List<UdiDeviceSrgEntity> udiDeviceSrgEntities) {
        return udiDeviceSrgDao.insertUdiDeviceSrgList(udiDeviceSrgEntities);
    }

    @Override
    public boolean deleteUdiDeviceSrg(DeleteUdiDeviceSrgRequest deleteUdiDeviceSrgRequest) {
        return udiDeviceSrgDao.deleteUdiDeviceSrg(deleteUdiDeviceSrgRequest);
    }

    @Override
    public boolean modifyUdiDeviceSrg(UdiDeviceSrgEntity udiDeviceSrgEntity) {
        return udiDeviceSrgDao.modifyUdiDeviceSrg(udiDeviceSrgEntity);
    }

    @Override
    public List<UdiDeviceSrgEntity> selectBySubProduct(String subProductId) {
        return udiDeviceSrgDao.selectBySubProduct(subProductId);
    }
}
