package com.glxp.udi.admin.service.publish.impl;

import com.glxp.udi.admin.dao.publish.UdiDevicepkDao;
import com.glxp.udi.admin.entity.publish.UdiDevicepkEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiDevicepkRequest;
import com.glxp.udi.admin.service.publish.UdiDevicepkService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class UdiDevicepkServiceImpl implements UdiDevicepkService {

    @Resource
    UdiDevicepkDao udiDevicepkDao;

    @Override
    public boolean insertUdiDevicepk(UdiDevicepkEntity udiDevicepkEntity) {
        return udiDevicepkDao.insertUdiDevicepk(udiDevicepkEntity);
    }

    @Override
    public boolean insertUdiDevicepkList(List<UdiDevicepkEntity> udiDevicepkEntities) {
        return udiDevicepkDao.insertUdiDevicepkList(udiDevicepkEntities);
    }

    @Override
    public boolean deleteUdiDevicepk(DeleteUdiDevicepkRequest deleteUdiDevicepkRequest) {
        return udiDevicepkDao.deleteUdiDevicepk(deleteUdiDevicepkRequest);
    }

    @Override
    public boolean modifyUdiDevicepk(UdiDevicepkEntity udiDevicepkEntity) {
        return udiDevicepkDao.modifyUdiDevicepk(udiDevicepkEntity);
    }

    @Override
    public List<UdiDevicepkEntity> selectByDeviceId(String deviceId) {
        return udiDevicepkDao.selectByDeviceId(deviceId);
    }
}
