package com.glxp.udi.admin.service.receipts;


import com.glxp.udi.admin.entity.receipt.MipsBarcodeEntity;
import com.glxp.udi.admin.entity.receipt.StockDetailEntity;
import com.glxp.udi.admin.req.receipt.FilterBatchnoCount;
import com.glxp.udi.admin.req.receipt.FilterStockRequest;
import com.glxp.udi.admin.req.receipt.MipsBarcodeRequest;

import java.util.List;

public interface MipsBarcodeService {

     List<MipsBarcodeEntity> filterAll(MipsBarcodeRequest mipsBarcodeRequest) ;

    List<MipsBarcodeEntity> selectByOrderId(MipsBarcodeRequest mipsBarcodeRequest);

    List<MipsBarcodeEntity> selectAllByOrderId(String orderId);

    List<MipsBarcodeEntity> filterBarcodes(MipsBarcodeRequest mipsBarcodeRequest);

    List<StockDetailEntity> filterStock(FilterStockRequest filterStockRequest);

    Integer selectCountByBatchno(FilterBatchnoCount fIlterBatchnoCount);

    boolean insertList(List<MipsBarcodeEntity> barcodeEntities);

    boolean deleteByCodes(List<String> codes);

    boolean deleteByOrderId(String orderId);

    boolean updateDtFlag(List<String> codes);
}
