package com.glxp.udi.admin.service.receipts;


import com.glxp.udi.admin.entity.receipt.ProductOrderDetailEntity;
import com.glxp.udi.admin.entity.receipt.ProductOrderEntity;
import com.glxp.udi.admin.req.receipt.AddProductRequest;
import com.glxp.udi.admin.req.receipt.ProductFilterRequest;

import java.util.List;

public interface ProductService {

    List<ProductOrderDetailEntity> filterList(ProductFilterRequest productFilterRequest);

    List<ProductOrderEntity> filterProductOrder(ProductFilterRequest productFilterRequest);

    boolean insertProduct(AddProductRequest productOrderEntity);


    boolean addProduct(ProductOrderEntity productOrderEntity);

    boolean insertProductList(List<ProductOrderEntity> productOrderEntities);

    boolean deleteById(String id);

    boolean updateProduct(ProductOrderEntity productOrderEntity);

    ProductOrderEntity selectById(String id);

    boolean isExit(String OrderNo);
}
