package com.glxp.udi.admin.service.receipts.impl;

import com.github.pagehelper.PageHelper;
import com.glxp.udi.admin.dao.receipt.ReceiptsdDetailDao;
import com.glxp.udi.admin.entity.receipt.ReceiptsdDetailEntity;
import com.glxp.udi.admin.req.receipt.ReceiptDetailRequest;
import com.glxp.udi.admin.service.receipts.ReceiptDetailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class ReceiptDetailServiceImpl implements ReceiptDetailService {
    @Resource
    ReceiptsdDetailDao receiptsdDetailDao;

    @Override
    public List<ReceiptsdDetailEntity> listReceiptsDetail(ReceiptDetailRequest receiptDetailRequest) {
        if (receiptDetailRequest == null) {
            return Collections.emptyList();
        }
        int offset = (receiptDetailRequest.getPage() - 1) * receiptDetailRequest.getLimit();
        PageHelper.offsetPage(offset, receiptDetailRequest.getLimit());
        List<ReceiptsdDetailEntity> data = receiptsdDetailDao.findById(receiptDetailRequest);
        return data;

    }

    @Override
    public boolean insertReceiptsDetails(List<ReceiptsdDetailEntity> receiptsdDetailEntities) {
        return receiptsdDetailDao.insertReceiptsDetails(receiptsdDetailEntities);
    }
}
