package com.glxp.udi.admin.util;


import com.glxp.udi.admin.entity.inout.WarehouseEntity;
import com.glxp.udi.admin.entity.inout.Warehousetemp;
import com.glxp.udi.admin.entity.udid.*;
import com.glxp.udi.admin.res.inout.WarehouseResponse;
import com.glxp.udi.admin.res.udid.DataSetBean;

import java.util.ArrayList;
import java.util.List;

public class WarehousBeanUtils {

    public static WarehouseEntity tempToEntity(Warehousetemp warehousetemp) {
        WarehouseEntity warehouseEntity = new WarehouseEntity();

        warehouseEntity.setOrderId(warehousetemp.getOrderid());
        warehouseEntity.setActDate(warehousetemp.getActdate() + "");
        warehouseEntity.setAction(warehousetemp.getAction());
        warehouseEntity.setActor(warehousetemp.getActor());
        warehouseEntity.setCode(warehousetemp.getCode());
        warehouseEntity.setCorpOrderId(warehousetemp.getCorporderid());
        warehouseEntity.setFromCorp(warehousetemp.getFromcorp());
        warehouseEntity.setFromCorpId(warehousetemp.getFromcorpid());
        warehouseEntity.setUpperCorpOrderId(warehousetemp.getUppercorporderid());
        warehouseEntity.setWrongCode(warehousetemp.getWrongcode());
        warehouseEntity.setMainAction(warehousetemp.getMainaction());
        warehouseEntity.setBatchNo(warehousetemp.getBatchno());
        warehouseEntity.setProduceDate(warehousetemp.getProducedate());
        warehouseEntity.setExpireDate(warehousetemp.getExpiredate());
        warehouseEntity.setSerialNo(warehousetemp.getSerialno());
        warehouseEntity.setUdi(warehousetemp.getUdi());
        warehouseEntity.setCustomerId(warehousetemp.getCustomerId());
        warehouseEntity.setCount(warehousetemp.getCount());
        return warehouseEntity;
    }

    public static List<WarehouseEntity> tempsToEntitys(List<Warehousetemp> warehousetemps) {
        List<WarehouseEntity> warehouseEntitys = new ArrayList<>();
        for (int i = 0; i < warehousetemps.size(); i++) {
            Warehousetemp warehousetemp = warehousetemps.get(i);
            WarehouseEntity warehouseEntity = new WarehouseEntity();

            warehouseEntity.setOrderId(warehousetemp.getOrderid());
            warehouseEntity.setActDate(warehousetemp.getActdate());
            warehouseEntity.setAction(warehousetemp.getAction());
            warehouseEntity.setActor(warehousetemp.getActor());
            warehouseEntity.setCode(warehousetemp.getCode());
            warehouseEntity.setCorpOrderId(warehousetemp.getCorporderid());
            warehouseEntity.setFromCorp(warehousetemp.getFromcorp());
            warehouseEntity.setFromCorpId(warehousetemp.getFromcorpid());
            warehouseEntity.setUpperCorpOrderId(warehousetemp.getUppercorporderid());
            warehouseEntity.setWrongCode(warehousetemp.getWrongcode());
            warehouseEntity.setMainAction(warehousetemp.getMainaction());
            warehouseEntity.setBatchNo(warehousetemp.getBatchno());
            warehouseEntity.setProduceDate(warehousetemp.getProducedate());
            warehouseEntity.setExpireDate(warehousetemp.getExpiredate());
            warehouseEntity.setSerialNo(warehousetemp.getSerialno());
            warehouseEntity.setUdi(warehousetemp.getUdi());
            warehouseEntity.setCount(warehousetemp.getCount());
            warehouseEntity.setCustomerId(warehousetemp.getCustomerId());
            warehouseEntitys.add(warehouseEntity);
        }

        return warehouseEntitys;
    }

    public static List<WarehouseResponse> tempsToWarehouseResponse(List<Warehousetemp> warehousetemps) {
        List<WarehouseResponse> warehouseEntitys = new ArrayList<>();
        for (int i = 0; i < warehousetemps.size(); i++) {
            Warehousetemp warehousetemp = warehousetemps.get(i);
            WarehouseResponse warehouseResponse = new WarehouseResponse();

//            warehouseEntity.setOrderId(warehousetemp.getOrderid());
            warehouseResponse.setActDate(warehousetemp.getActdate());
            warehouseResponse.setAction(warehousetemp.getAction());
            warehouseResponse.setActor(warehousetemp.getActor());
            warehouseResponse.setCode(warehousetemp.getCode());
            warehouseResponse.setCount(warehousetemp.getCount());
            warehouseResponse.setCorpOrderId(warehousetemp.getCorporderid());
            warehouseResponse.setFromCorp(warehousetemp.getFromcorp());
            warehouseResponse.setFromCorpId(warehousetemp.getFromcorpid());
            warehouseResponse.setUpperCorpOrderId(warehousetemp.getUppercorporderid());
            warehouseResponse.setWrongCode(warehousetemp.getWrongcode());
            warehouseResponse.setMainAction(warehousetemp.getMainaction());
            warehouseResponse.setId(warehousetemp.getId());
            warehouseEntitys.add(warehouseResponse);
        }

        return warehouseEntitys;
    }

    public static List<Warehousetemp> entityToTemp(List<WarehouseEntity> warehouseEntities, long customerId) {
        List<Warehousetemp> warehousetempList = new ArrayList<>();
        if (warehouseEntities != null) {
            for (int i = 0; i < warehouseEntities.size(); i++) {
                Warehousetemp warehousetemp = new Warehousetemp();
                WarehouseEntity warehouseEntity = warehouseEntities.get(i);
//                String dateFormat = "yyyy-MM-dd HH:mm:ss";
//                SimpleDateFormat sdf = new SimpleDateFormat(dateFormat);
//                try {
//                    Date date = (Date) sdf.parse(warehouseEntity.getActDate());
//                    warehousetemp.setActdate(warehouseEntity.getActDate());
//                } catch (ParseException e) {
//                    e.printStackTrace();
//                }
                warehousetemp.setActdate(warehouseEntity.getActDate());
                warehousetemp.setAction(warehouseEntity.getAction());
                warehousetemp.setActor(warehouseEntity.getActor());
                warehousetemp.setCode(warehouseEntity.getCode());
                warehousetemp.setCorporderid(warehouseEntity.getCorpOrderId());
                warehousetemp.setFromcorp(warehouseEntity.getFromCorp());
                warehousetemp.setFromcorpid(warehouseEntity.getFromCorpId());
                warehousetemp.setMainaction(warehouseEntity.getMainAction());
                warehousetemp.setOrderid(warehouseEntity.getOrderId());
                warehousetemp.setUppercorporderid(warehouseEntity.getUpperCorpOrderId());
                warehousetemp.setWrongcode(warehouseEntity.getWrongCode());
                warehousetemp.setBatchno(warehouseEntity.getBatchNo());
                warehousetemp.setProducedate(warehouseEntity.getProduceDate());
                warehousetemp.setExpiredate(warehouseEntity.getExpireDate());
                warehousetemp.setSerialno(warehouseEntity.getSerialNo());
                warehousetemp.setUdi(warehouseEntity.getUdi());
                warehousetemp.setCount(warehouseEntity.getCount());
                warehousetemp.setCustomerId(customerId);
                warehousetempList.add(warehousetemp);
            }
        }


        return warehousetempList;
    }


    public static Device responseToDevice(DataSetBean dataSetBean) {
        Device device = new Device();
        device.setDevicehistoryrecordkey(dataSetBean.getDeviceHistoryRecordKey());
        device.setDevicerecordkey(dataSetBean.getDeviceRecordKey());
        device.setBtcpbs(dataSetBean.getBtcpbs());
        device.setBtcpbsyzxxsdycpbssfyz(dataSetBean.getBtcpbsyzxxsdycpbssfyz());
        device.setCgzmraqxgxx(dataSetBean.getCgzmraqxgxx());
        device.setCpbsbmtxmc(dataSetBean.getCpbsbmtxmc());
        device.setCpbsfbrq(dataSetBean.getCpbsfbrq());
        device.setCphhhbh(dataSetBean.getCphhhbh());
        device.setCplb(dataSetBean.getCplb());
        device.setCpmctymc(dataSetBean.getCpmctymc());
        device.setCpms(dataSetBean.getCpms());
        device.setFlbm(dataSetBean.getFlbm());
        device.setGgxh(dataSetBean.getGgxh());
        device.setMjfs(dataSetBean.getMjfs());
        device.setQtxxdwzlj(dataSetBean.getQtxxdwzlj());
        device.setQxlb(dataSetBean.getQxlb());
        device.setScbssfbhph(dataSetBean.getScbssfbhph());
        device.setScbssfbhscrq(dataSetBean.getScbssfbhscrq());
        device.setScbssfbhsxrq(dataSetBean.getScbssfbhsxrq());
        device.setScbssfbhxlh(dataSetBean.getScbssfbhxlh());
        device.setSfbjwycxsy(dataSetBean.getSfbjwycxsy());
        device.setSfwblztlcp(dataSetBean.getSfwblztlcp());
        device.setSfwwjbz(dataSetBean.getSfwwjbz());
        device.setSfybtzjbs(dataSetBean.getSfybtzjbs());
        device.setSpmc(dataSetBean.getSpmc());
        device.setSydycpbs(dataSetBean.getSydycpbs());
        device.setSyqsfxyjxmj(dataSetBean.getSyqsfxyjxmj());
        device.setTscchcztj(dataSetBean.getTscchcztj());
        device.setTsccsm(dataSetBean.getTsccsm());
        device.setTsrq(dataSetBean.getTsrq());
        device.setTyshxydm(dataSetBean.getTyshxydm());
        device.setVersionnumber(dataSetBean.getVersionNumber() + "");
        device.setVersionstatus(dataSetBean.getVersionStatus());
        device.setVersiontime(dataSetBean.getVersionTime());
        device.setYbbm(dataSetBean.getYbbm());
        device.setYlqxzcrbarmc(dataSetBean.getYlqxzcrbarmc());
        device.setYlqxzcrbarywmc(dataSetBean.getYlqxzcrbarywmc());
        device.setZczbhhzbapzbh(dataSetBean.getZczbhhzbapzbh());
        device.setZdcfsycs(dataSetBean.getZdcfsycs());
        device.setYflbm(dataSetBean.getYflbm());
        device.setZxxsdycpbs(dataSetBean.getZxxsdycpbs());
        device.setBszt(dataSetBean.getBszt());
        device.setSfyzcbayz(dataSetBean.getSfyzcbayz());
        device.setZcbacpbs(dataSetBean.getZcbacpbs());
        device.setZxxsdyzsydydsl(dataSetBean.getZxxsdyzsydydsl());
        device.setBssjzt(dataSetBean.getBssjzt());
        return device;
    }

    public static Contactlist responseToContactlist(DataSetBean.ContactListBean contactListBean) {
        Contactlist contactlist = new Contactlist();
        contactlist.setQylxrcz(contactListBean.getQylxrcz());
        contactlist.setQylxrdh(contactListBean.getQylxrdh());
        contactlist.setQylxryx(contactListBean.getQylxryx());
        return contactlist;
    }

    public static Deviceclinical responseToDeviceclinical(DataSetBean.DeviceClinicalBean deviceClinicalBean) {
        Deviceclinical deviceclinical = new Deviceclinical();
        deviceclinical.setLcsycclx(deviceClinicalBean.getLcsycclx());
        deviceclinical.setCcz(deviceClinicalBean.getCcz());
        deviceclinical.setCcdw(deviceClinicalBean.getCcdw());
        return deviceclinical;
    }

    public static Devicepackage responseToDevicepackage(DataSetBean.DevicePackageBean devicePackageBean) {
        Devicepackage devicepackage = new Devicepackage();
        devicepackage.setBzcpbs(devicePackageBean.getBzcpbs());
        devicepackage.setBznhxyjbzcpbs(devicePackageBean.getBznhxyjbzcpbs());
        devicepackage.setCpbzjb(devicePackageBean.getCpbzjb());
        devicepackage.setBznhxyjcpbssl(Integer.parseInt(devicePackageBean.getBznhxyjcpbssl()));
        return devicepackage;
    }

    public static Devicestorage responseToDevicestorage(DataSetBean.DeviceStorageBean deviceStorageBean) {
        Devicestorage devicestorage = new Devicestorage();
        devicestorage.setCchcztj(deviceStorageBean.getCchcztj());
        devicestorage.setJldw(deviceStorageBean.getJldw());
        devicestorage.setZgz(deviceStorageBean.getZgz());
        devicestorage.setZdz(deviceStorageBean.getZdz());
        return devicestorage;
    }
}
