package com.glxp.udi.admin.service.auth.impl;

import com.alibaba.fastjson.JSONObject;
import com.glxp.udi.BaseApiAdminApplicationTest;
import com.glxp.udi.admin.entity.udid.TokenEntity;
import com.glxp.udi.admin.req.udid.TokenRequest;
import com.glxp.udi.admin.service.inout.DeviceService;
import com.glxp.udi.admin.util.HttpClient;
import org.junit.Test;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;

public class MmpaTest extends BaseApiAdminApplicationTest {
    RestTemplate restTemplate = new RestTemplate();

    @Test
    public void testConnect() {
        ResponseEntity<String> response = restTemplate.postForEntity("https://udid.nmpa.gov.cn/udi/beta/v1/connection/test", "", String.class);
        System.out.println(response.getBody());
    }

    @Test
    public void testToken() {


        TokenRequest tokenRequest = new TokenRequest();
        tokenRequest.setAppId("371ced236e844272ad14bbe9051fd25a");
        tokenRequest.setAppSecret("592e7a00a7304f52a86a82e7fac9d2c0");
        String response = HttpClient.post("token/get", tokenRequest);
        TokenEntity tokenEntity = (TokenEntity) JSONObject.parseObject(response, TokenEntity.class);
        System.out.println(tokenEntity.getAccessToken());
    }

    @Resource
    DeviceService deviceService;




}
