package com.glxp.udi.admin.config;

import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.*;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

//@WebFilter(urlPatterns = "/*", filterName = "corsFilter")
public class CorsFilter implements Filter {

    @Autowired
    private CorsConfig corsConfig;

    @Override
    public void destroy() {

    }

    @Override
    public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain)
            throws IOException, ServletException {
        HttpServletResponse response = (HttpServletResponse) res;
        response.setHeader("Access-Control-Allow-Origin", corsConfig.getAllowedOrigins());
        response.setHeader("Access-Control-Allow-Methods", corsConfig.getAllowedMethods());
        response.setHeader("Access-Control-Allow-Headers", corsConfig.getAllowedHeaders());
        response.setHeader("Access-Control-Allow-Credentials", "true");
//        response.setHeader("Access-Control-Allow-Origin", "*");
//        response.setHeader("Access-Control-Allow-Methods", "Content-Type,ADMIN_ID,ADMIN_TOKEN");
//        response.setHeader("Access-Control-Allow-Headers", "GET,POST");
        chain.doFilter(req, res);
    }

    @Override
    public void init(FilterConfig arg0) throws ServletException {

    }

}
