package com.glxp.udi.admin.dao.auth;

import com.glxp.udi.admin.entity.auth.CustomerContactEntity;
import com.glxp.udi.admin.req.auth.CustomerContactFilterRequest;
import com.glxp.udi.admin.req.inout.DeleteRequest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CustomerContacDao {

    List<CustomerContactEntity> filterCustomerContact(CustomerContactFilterRequest userResisterFilterRequest);

    boolean insertCustomerContact(CustomerContactEntity customerContactEntity);

    boolean updateCustomerContact(CustomerContactEntity customerContactEntity);

    boolean deleteById(Long customerId);

    CustomerContactEntity selectById(Long customerId);

    boolean deleteContact(DeleteRequest deleteRequest);

}
