package com.glxp.udi.admin.dao.contrast;

import com.glxp.udi.admin.entity.contrast.CodeContrastDetailEntity;
import com.glxp.udi.admin.entity.contrast.CustomercontrastEntity;
import com.glxp.udi.admin.req.contrast.DeleteCustomerContrastRequest;
import com.glxp.udi.admin.req.contrast.FilterCodeContrastRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomercontrastDao {

    boolean insertCustomercontrast(CustomercontrastEntity customercontrastEntity);

    boolean insertCustomercontrastList(@Param("customercontrastEntities") List<CustomercontrastEntity> customercontrastEntities);

    List<CustomercontrastEntity> selectByCustomerId(Long customerId);

    List<CodeContrastDetailEntity> filterDetailByCustomerId(FilterCodeContrastRequest filterCodeContrastRequest);
    List<CodeContrastDetailEntity> filterDetailAll(FilterCodeContrastRequest filterCodeContrastRequest);


    boolean deleteCustomercontrast(DeleteCustomerContrastRequest deleteCustomerContrastRequest);

}
