package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.ErpOrderEntity;
import com.glxp.udi.admin.req.inout.FilterErpOrderRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MyErpOrderDao {

    List<ErpOrderEntity> filterMyErpOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> findByStockCheck(@Param("orderids") List<String> orderids);

    List<ErpOrderEntity> filterMyErpMainOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterMyErpDetailOrder(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> findAllByDocids(@Param("docids") List<String> docids);

    List<String> filterAllDocid(FilterErpOrderRequest filterErpOrderRequest);

    List<ErpOrderEntity> filterAllDocidE(FilterErpOrderRequest filterErpOrderRequest);

    boolean insertErpOrders(@Param("erpOrderEntities") List<ErpOrderEntity> erpOrderEntities);

    boolean insertErpOrder(ErpOrderEntity erpOrderEntity);

    boolean updateErpOrder(ErpOrderEntity erpOrderEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByPrimiyId(@Param("id") String id);


    Integer isExit(@Param("docid") String docid);

    List<String> selectAllIds(@Param("docids") List<String> docids);

    boolean deleteByOrderId(@Param("id") String id);
}
