package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.UdiRelevanceEntity;
import com.glxp.udi.admin.req.inout.FilterUdiInfoRequest;
import com.glxp.udi.admin.res.inout.UdiRelevanceResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UdiRelevanceDao {

    List<UdiRelevanceResponse> filterUdiRelevance(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiGp(FilterUdiInfoRequest filterUdiInfoRequest);

    //    UdiRelevanceResponse selectUdiByUUid
    List<UdiRelevanceEntity> selectByUuid(@Param("uuid") String uuid);

    UdiRelevanceEntity selectById(@Param("id") String id);

    UdiRelevanceEntity selectByThirdId(@Param("thirdId") String thirdId);

    boolean insertUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean updateUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByIds(@Param("ids") List<String> id);

    boolean deleteByUuid(@Param("uuid") String uuid);
}
