package com.glxp.udi.admin.dao.inout;

import com.glxp.udi.admin.entity.inout.UnitMaintainEntity;
import com.glxp.udi.admin.req.inout.UnitMaintainFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UnitMaintainDao {
    List<UnitMaintainEntity> filterList(UnitMaintainFilterRequest unitMaintainFilterRequest);

    boolean insertUnitMaintain(UnitMaintainEntity unitMaintainEntity);

    boolean deleteById(@Param("id") String id);

    UnitMaintainEntity selectById(@Param("id") String id);

    boolean updateUnit(UnitMaintainEntity unitMaintainEntity);
}
