package com.glxp.udi.admin.dao.receipt;

import com.glxp.udi.admin.entity.receipt.MipsBarcodeEntity;
import com.glxp.udi.admin.entity.receipt.StockDetailEntity;
import com.glxp.udi.admin.req.receipt.FilterBatchnoCount;
import com.glxp.udi.admin.req.receipt.FilterStockRequest;
import com.glxp.udi.admin.req.receipt.MipsBarcodeRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MipsBarcodeDao {

    List<MipsBarcodeEntity> selectByOrderId(@Param("orderId") String orderId);

    List<MipsBarcodeEntity> filterBarcodes(MipsBarcodeRequest mipsBarcodeRequest);

    List<StockDetailEntity> filterStock(FilterStockRequest filterStockRequest);

    Integer selectCountByBatchno(FilterBatchnoCount fIlterBatchnoCount);

    boolean insertList(@Param("barcodeEntities") List<MipsBarcodeEntity> barcodeEntities);

    boolean deleteByOrderId(String orderId);

    boolean updateDtFlag(@Param("codes") List<String> codes);

    boolean deleteByCodes(@Param("codes") List<String> codes);
}
