package com.glxp.udi.admin.entity.info;

import lombok.Data;

@Data
public class EnterpriseEntity {

    private String UDI_EnterpriseOID; //主键
    private String SYS_Created; //创建日期
    private String SYS_LAST_UPD; //最后修改日期
    private String TYSHXYDM; //统一社会信用代码
    private String QYMC; //企业名称
    private String QYDJZCLX; //企业登记注册类型
    private String SZGJ; //所在国家
    private String SZSF; //所在省份
    private String SZDS; //所在地市
    private String SZQX; //所在区县
    private String FRXM; //法人姓名
    private String FRZJLX; //法人证件类型
    private String FRZJH; //法人证件号
    private String SCGJ; //生产国家
    private String SCSF; //生产省份
    private String SCDS; //生产地市
    private String SCQX; //生产区县
    private String SCDZ; //生产地址
    private String DJZT; //登记状态
    private String SCXKZH; //生产许可证号
    private String SCXKZYXQZ; //生产许可证有效期至
    private String SCBAPZH; //生产备案凭证号
    private String FZJGBABM; //发证机关/备案部门
    private String FZRQ; //发证日期
    private String YYZZDZDA; //营业执照电子档案
    private String SCXKZDZDA; //生产许可证电子档案
    private String SCBAPZDZDA; //生产备案凭证电子档案
    private String JYXKZDZDA; //经营许可证电子档案
    private String JYBAZDZDA; //经营备案证电子档案
    private String YYZZDZDAPath; //营业执照电子档案路径
    private String YYZZDZDAFileType; //营业执照电子档案文件类型
    private String SCXKZDZDAFileType; //生产许可证电子档案类型
    private String SCXKZDZDAPath; //生产许可证电子档案路径
    private String SCBAPZDZDAFileType; //生产备案凭证电子档案类型
    private String JYXKZDZDAFileType; //生产备案凭证电子档案路径
    private String JYXKZDZDAFilePath; //经营许可证电子档案路径
    private String JYBAZDZDAFileType; //经营备案证电子档案类型
    private String JYBAZDZDAFilePath; //经营备案证电子档案路径

    //未用
    private String SYS_Deleted;
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;
    private String UDI_Customer_FK;

}
