package com.glxp.udi.admin.entity.inout;

import lombok.Data;

@Data
public class TraceUploadEntity {

    /**
     * udiCode : udi
     * documentsDate : 1619022931000
     * documentsType : type
     * corpName : 企业名称A
     * fromCorp : 往来单位B
     * productionCorp : 生产企业C
     * productName : 产品名称EEE
     * specifications : a12345
     * batchNo : b54321
     * productionDate : 1619123931000
     * expireDate : 1619323931000
     * count : 100
     */

    private String udiCode;
    private String documentsDate;
    private String documentsType;
    private String corpName;
    private String fromCorp;
    private String productionCorp;
    private String productName;
    private String specifications;
    private String batchNo;
    private String productionDate;
    private String expireDate;
    private int count;
    private String creditNum;

    public String getUdiCode() {
        return udiCode;
    }

    public void setUdiCode(String udiCode) {
        this.udiCode = udiCode;
    }

    public String getDocumentsDate() {
        return documentsDate;
    }

    public void setDocumentsDate(String documentsDate) {
        this.documentsDate = documentsDate;
    }

    public String getDocumentsType() {
        return documentsType;
    }

    public void setDocumentsType(String documentsType) {
        this.documentsType = documentsType;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getFromCorp() {
        return fromCorp;
    }

    public void setFromCorp(String fromCorp) {
        this.fromCorp = fromCorp;
    }

    public String getProductionCorp() {
        return productionCorp;
    }

    public void setProductionCorp(String productionCorp) {
        this.productionCorp = productionCorp;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }
}
