package com.glxp.udi.admin.entity.publish;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Data;

@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY,getterVisibility = JsonAutoDetect.Visibility.NONE)
public class UdiDeviceIdEntity {
    private String UDI_DeviceIdOID;         //
    private String primaryDeviceId;         //最小销售单元产品标识
    private String publishDate;         //产品标识发布日期
    private String pkgQuantity;         //最小销售单元中使用单元数量
    private String useUnitDeviceId;         //使用单元产品标识
    private String deviceCarrier;         //标识载体（可多选）
    private String isSameRegDI;         //是否与注册/备案产品标识一致
    private String registrationDI;         //注册/备案产品标识
    private String isDirectMark;         //是否有本体直接标识
    private String isSameDeviceId;         //本体标识与最小销售单元标识是否一致
    private String directMarkDI;         //本体产品标识
    private String isLotBatch;         //生产标识是否包含批号
    private String isSerialNumber;         //   生产标识是否包含序列号
    private String isManufacturingDate;         //生产标识是否包含生产日期
    private String isExpirationDate;         //生产标识是否包含失效日期
    private String Status;         //状态
    private String deviceRecordKey;         //
    private String TYSHXYDM;                //
    private String IndentCode;         //厂商识别码
    private String UDI_SubProduct_FK;         //子类信息外籍
    private String UDI_DeviceId_FK;         //产品标识信息
    private String UDI_StandAgency_FK;         //发码机构
    private String UDI_FacIdentCode_FK;         //厂商识别码
    private String UDI_Product_FK;         //产品信息
    private String Reserve1;         //预留一
    private String Reserve2;         //预留一
    private String customerId;


    //未用
    private String SYS_Deleted;
    private String Text1;
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;

}
