package com.glxp.udi.admin.entity.publish;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import lombok.Data;

@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE)
public class UdiSubProductEntity {

    //常用
    private String UDI_SubProductOID;
    private String brandName;
    private String productOldCode;
    private String productCode;
    private String companyName;
    private String companyGBName;
    private String regcardCodes;
    private String businessLicense;
    private String deviceType;
    private String productType;
    private String deviceKit;
    private String specification;
    private String deviceDescription;
    private String catalogNumber;
    private String isMRISafety;
    private String MRISafetyInfo;
    private String singleUse;
    private String reuseTimes;
    private String isDeviceSterile;
    private String isSterilizationUse;
    private String sterilizationMethod;
    private String otherInfoLink;
    private String YBBM;
    private String deviceEndDate;
    private String specialText;
    private String clinicalSizeText;
    private String SPTM;
    private String Quality;
    private String QualityUnit;
    private String productOldName;
    private String productName;
    private String UDI_Product_FK;
    private String UDI_Registration_FK;
    private String UDI_Enterprise_FK;
    private String UDI_SubProduct_FK;
    private String status;

    private String SYS_Created;
    private String SYS_LAST_UPD;
    private String SYS_Deleted;
    private String SYS_CreatedBy;
    private String SYS_REPLACEMENT;
    private String SYS_POSTN;
    private String SYS_DIVISION;
    private String SYS_ORG;
    private String SYS_LAST_UPD_BY;
    private String mainProductName;

    private String customerId;

}
