package com.glxp.udi.admin.entity.udid;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class DeviceEntity {


    /**
     * deviceRecordKey : 1BA24C4BF1416C236E58E814DBDE706B
     * versionNumber : 2
     * versionStatus : 更新
     * versionTime : 2020-08-24 09:52:05
     * deviceClinical : [{"id":1,"deviceRecordKey":"1BA24C4BF1416C236E58E814DBDE706B","lcsycclx":"","ccz":"","ccdw":""}]
     * devicePackage : [{"id":1,"deviceRecordKey":"1BA24C4BF1416C236E58E814DBDE706B","bzcpbs":"16949399321055","cpbzjb":"盒","bznhxyjcpbssl":12,"bznhxyjbzcpbs":"06949399321058"},{"id":2,"deviceRecordKey":"1BA24C4BF1416C236E58E814DBDE706B","bzcpbs":"26949399321052","cpbzjb":"箱","bznhxyjcpbssl":4,"bznhxyjbzcpbs":"16949399321055"}]
     * deviceStorage : [{"id":1,"deviceRecordKey":"1BA24C4BF1416C236E58E814DBDE706B","cchcztj":"湿度","zdz":"0","zgz":"80","jldw":"%RH"}]
     * contactList : [{"id":1,"deviceRecordKey":"1BA24C4BF1416C236E58E814DBDE706B","qylxryx":"ahaofohhc@163.com","qylxrdh":"0552-2088222","qylxrcz":"0552-2053891"}]
     * tsrq :
     * qtxxdwzlj :
     * scbssfbhsxrq : 是
     * scbssfbhscrq : 是
     * scbssfbhph : 是
     * scbssfbhxlh : 否
     * tsccsm :
     * tscchcztj : 本产品应储存在通风良好，干燥清洁，湿度不超过80%RH的室内，严禁与腐蚀性物品混堆；须防止运输过程中的剧烈冲击、震动及硬物刮蹭，保持包装完整；贮存与运输时请勿重压，避免日晒和雨雪淋溅。
     * qxlb : 器械
     * cplb : 耗材
     * yflbm :
     * sfwwjbz : 是
     * syqsfxyjxmj : 否
     * cgzmraqxgxx : 说明书或标签上面不包含MR安全性信息
     * ybbm :
     * sydycpbs :
     * btcpbs :
     * cpms : 产品包括腹腔穿刺器(FQ型)和胸腔穿刺器(XQ型)两种型号。腹腔穿刺器FQ型由穿刺椎、穿刺套管、自调式密封帽和保护套(3mm、 5.5mm规格的不含自调式密封帽)组成，穿刺杆采用ABS (台湾台美)颗粒，穿刺椎头，穿刺环形套管采用PC-2858颗粒(德国拜耳)制成;胸腔穿刺器XQ型由穿刺椎和穿刺套组成，其中穿刺椎由穿刺杆和手柄组成,穿刺套由柔性套管和套管密封套组成，采用医用高分子材料制成。产品应无菌。
     * zxxsdycpbs : 06949399321058
     * flbm : 02
     * cphhhbh :
     * ylqxzcrbarmc : 安徽奥弗医疗设备科技股份有限公司
     * cpmctymc : 穿刺器
     * spmc : 穿刺器
     * ggxh : XQ/15mm×80mm
     * sfybtzjbs : 否
     * sfwblztlcp : 否
     * zdcfsycs :
     * mjfs :
     * cpbsfbrq : 2020-06-18
     * tyshxydm : 91340300684969073C
     * cpbsbmtxmc : GS1
     * btcpbsyzxxsdycpbssfyz :
     * sfbjwycxsy : 是
     * ylqxzcrbarywmc :
     * zczbhhzbapzbh : 皖械注准20202020172;,皖械注准20152150140
     * zxxsdyzsydydsl : 1
     */
    private String uuid;
    private String devicerecordkey;

    private String btcpbs;

    private String btcpbsyzxxsdycpbssfyz;

    private String zxxsdycpbs;

    private String cgzmraqxgxx;

    private String cpbsbmtxmc;

    private String cpbsfbrq;

    private String cphhhbh;

    private String cplb;

    private String cpmctymc;

    private String cpms;

    private String flbm;

    private String ggxh;

    private String mjfs;

    private String qtxxdwzlj;

    private String qxlb;

    private String scbssfbhph;

    private String scbssfbhscrq;

    private String scbssfbhsxrq;

    private String scbssfbhxlh;

    private String sfbjwycxsy;

    private String sfwblztlcp;

    private String sfwwjbz;

    private String sfybtzjbs;

    private String spmc;

    private String sydycpbs;

    private String syqsfxyjxmj;

    private String tscchcztj;

    private String tsccsm;

    private String tsrq;

    public String getTsrq() {

        if(tsrq!=null && tsrq.length()>=4){
            if(Integer.parseInt(tsrq)<2000){
                return null;
            }
        }
        return tsrq;
    }

    public void setTsrq(String tsrq) {
        this.tsrq = tsrq;
    }

    private String tyshxydm;

    private Integer versionnumber;

    private String versionstatus;

    private Date versiontime;

    private String ybbm;

    private String yflbm;

    private String ylqxzcrbarmc;

    private String ylqxzcrbarywmc;

    private String zczbhhzbapzbh;

    private String zdcfsycs;

    private String bszt;
    private String sfyzcbayz;
    private String zcbacpbs;

    private String zxxsdyzsydydsl;
    private String devicehistoryrecordkey;

    private String bssjzt;
    private String customerId;

    private boolean check;
    private List<Contactlist> contactlistList;
    private List<Deviceclinical> deviceclinicals;
    private List<Devicepackage> devicepackages;
    private List<Devicestorage> devicestorages;
    private List<DeviceHistory>  deviceHistories;

}
