package com.glxp.udi.admin.mongo.utils;

import lombok.Data;

import java.util.List;

/**
 * 分页结果.
 *
 * @author Ryan
 */
@Data
//@AllArgsConstructor
//@NoArgsConstructor
//@JsonInclude(Include.NON_NULL)
public class PageResult<T> {

    /**
     * 页码，从1开始
     */
    private Integer pageNum;

    /**
     * 页面大小
     */
    private Integer pageSize;


    /**
     * 总数
     */
    private Long total;

    /**
     * 总页数
     */
    private Integer pages;

    /**
     * 数据
     */
    private List<T> list;

}
