package com.glxp.udi.admin.req.udid;

import lombok.Data;

@Data
public class DeviceRequest {


    /**
     * accessToken : 接口调用凭据， P002 获取
     * requestType : 请求范围， 1 按天请求， 2 按月请求， 3 全量请 求
     * rangeValue : 当按照天请求数据时，必填，输入参数按照 yyyy-MM-dd， 当按照月请求数据时，必填，输入参数按照 yyyy-MM， 全量获取时，该参数 为空
     * currentPageNumber : 请求分页数,初始请求时， 从 1 开始
     */

    private String accessToken;
    private String requestType;
    private String rangeValue;
    private String currentPageNumber;

}
