package com.glxp.udi.admin.service.auth;


import com.glxp.udi.admin.entity.auth.AuthAdmin;
import com.glxp.udi.admin.entity.auth.UpdateUserflagBean;
import com.glxp.udi.admin.req.auth.AuthAdminQueryRequest;

import java.util.List;

public interface AuthAdminService {

    List<AuthAdmin> listAdminPage(AuthAdminQueryRequest authAdminQueryRequest);

    AuthAdmin findByUserName(String userName);

    List<AuthAdmin> findByCustomerId(Long id);

    AuthAdmin findById(Long id);


    AuthAdmin findPwdById(Long id);

    boolean insertAuthAdmin(AuthAdmin authAdmin);

    boolean updateAuthAdmin(AuthAdmin authAdmin);

    boolean deleteById(Long id);

    boolean deleteByCustomerId(Long id);

    int findCountByCustomerId(Long id);

    boolean updateUserByCustomerId(UpdateUserflagBean userflagBean);

}
