package com.glxp.udi.admin.service.auth;


import com.glxp.udi.admin.req.auth.AuthRoleQueryRequest;
import com.glxp.udi.admin.entity.auth.AuthRole;

import java.util.List;

public interface AuthRoleService {

    List<AuthRole> listAdminPage(AuthRoleQueryRequest authRoleQueryRequest);

    List<AuthRole> listAuthAdminRolePage(Integer page, Integer limit, Integer status);

    AuthRole findByName(String name);

    AuthRole findById(Long id);

    boolean insertAuthRole(AuthRole authRole);

    boolean updateAuthRole(AuthRole authRole);

    List<AuthRole> listCustomerRoles(Integer page, Integer limit, Integer isCustomer);


    boolean deleteById(Long id);

}
