package com.glxp.udi.admin.service.contrast;

import com.glxp.udi.admin.entity.contrast.CodeContrastDetailEntity;
import com.glxp.udi.admin.entity.contrast.CustomercontrastEntity;
import com.glxp.udi.admin.req.contrast.DeleteCustomerContrastRequest;
import com.glxp.udi.admin.req.contrast.FilterCodeContrastRequest;

import java.util.List;

public interface CustomercontrastService {

    boolean insertCustomercontrast(CustomercontrastEntity customercontrastEntity);

    boolean insertCustomercontrastList( List<CustomercontrastEntity> customercontrastEntities);

    boolean deleteCustomercontrast(DeleteCustomerContrastRequest deleteCustomerContrastRequest);

    List<CustomercontrastEntity> selectByCustomerId(Long customerId);

    List<CodeContrastDetailEntity> filterDetailByCustomerId(FilterCodeContrastRequest filterCodeContrastRequest);

    List<CodeContrastDetailEntity> filterDetailAll(FilterCodeContrastRequest filterCodeContrastRequest);
}
