package com.glxp.udi.admin.service.info;

import com.glxp.udi.admin.entity.info.IdentifierEntity;
import com.glxp.udi.admin.req.info.DeleteIdentifierRequest;
import com.glxp.udi.admin.req.info.FilterIdentifierRequest;

import java.util.List;

public interface IdentifierService {


    boolean insertIdentifier(IdentifierEntity identifierEntity);

    boolean insertIdentifierList(List<IdentifierEntity> identifierEntities);

    boolean deleteIdentifier(DeleteIdentifierRequest deleteIdentifierRequest);

    boolean deleteIdentifierByFacidentcode(String UDI_FacIdentCode_FK);

    boolean modifyIdentifier(IdentifierEntity identifierEntity);

    List<IdentifierEntity> selectByfacident(FilterIdentifierRequest filterIdentifierRequest);

    String randomCode(FilterIdentifierRequest filterIdentifierRequest);

    boolean isUsed(String facidentcode);

    boolean isUsedIdentifyCode(String code);

    boolean updateIsUsed(IdentifierEntity identifierEntity);

    List<IdentifierEntity> selectIdentifyCode(String code);

    boolean isSptmUsed(String code);

    boolean isUdiUsed(String code);

}
