package com.glxp.udi.admin.service.info.impl;

import com.glxp.udi.admin.dao.info.StandagencyDao;
import com.glxp.udi.admin.entity.info.StandagencyEntity;
import com.glxp.udi.admin.req.info.DeleteStandagencyRequest;
import com.glxp.udi.admin.service.info.StandagencyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class StandagencyServiceImpl implements StandagencyService {

    @Resource
    StandagencyDao standagencyDao;

    @Override
    public boolean insertStandagency(StandagencyEntity standagencyEntity) {
        return standagencyDao.insertStandagency(standagencyEntity);
    }

    @Override
    public boolean deleteStandagency(DeleteStandagencyRequest deleteStandagencyRequest) {
        return standagencyDao.deleteStandagency(deleteStandagencyRequest);
    }

    @Override
    public boolean modifyStandagency(StandagencyEntity standagencyEntity) {
        return standagencyDao.modifyStandagency(standagencyEntity);
    }

    @Override
    public List<StandagencyEntity> selectAll() {
        return standagencyDao.selectAll();
    }
}
