package com.glxp.udi.admin.service.inout;


import com.glxp.udi.admin.entity.inout.BussinessTypeEntity;
import com.glxp.udi.admin.req.receipt.BussinessTypeFilterRequest;
import com.glxp.udi.admin.res.basic.BussinessTypResponse;

import java.util.List;

public interface BussinessTypeService {

    List<BussinessTypeEntity> filterList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    List<BussinessTypResponse> filterJoinList(BussinessTypeFilterRequest bussinessTypeFilterRequest);

    BussinessTypeEntity findBTByAction(String action);

    BussinessTypeEntity findBTByName(String name);

    BussinessTypResponse findJoinBTByAction(String action);


    boolean insertBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean updateBussinessType(BussinessTypeEntity bussinessTypeEntity);

    boolean deleteById(String id);
}
