package com.glxp.udi.admin.service.inout;

import com.glxp.udi.admin.entity.inout.Druginfo;
import com.glxp.udi.admin.req.inout.DrugFilterRequest;
import com.glxp.udi.admin.req.inout.DrugInfoRequest;
import com.glxp.udi.admin.req.inout.DrugsSaveRequest;

import java.util.List;

public interface DruginfoService {

    List<Druginfo> listDrugInfo(DrugInfoRequest drugInfoRequest);

    int saveDruginfo(DrugsSaveRequest drugsSaveRequest);

    List<Druginfo> filterDrugInfo(DrugFilterRequest drugInfoRequest);

    List<Druginfo> getSimplyDrugs(String coName, String packRatio, String packSpec);

    List<Druginfo> getDrugsByUuid(String uuid);

    boolean isExit(String nameCode);

    Druginfo selectByNamecode(String nameCode);
}
