package com.glxp.udi.admin.service.inout;


import com.glxp.udi.admin.entity.inout.UdiRelevanceEntity;
import com.glxp.udi.admin.req.inout.FilterUdiInfoRequest;
import com.glxp.udi.admin.res.inout.UdiRelevanceResponse;

import java.util.List;

public interface UdiRelevanceService {

    List<UdiRelevanceResponse> filterUdiRelevance(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceResponse> filterUdiGp(FilterUdiInfoRequest filterUdiInfoRequest);

    List<UdiRelevanceEntity> selectByUuid(String uuid);

    UdiRelevanceEntity selectById(String id);
    UdiRelevanceEntity selectByThirdId(String thirdId);

    boolean insertUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean updateUdiRelevance(UdiRelevanceEntity udiRelevanceEntity);

    boolean deleteById(String id);

    boolean deleteByIds(List<String> id);

    boolean deleteByUuid(String uuid);

}
