package com.glxp.udi.admin.service.publish;

import com.glxp.udi.admin.entity.publish.PostSuccessBean;
import com.glxp.udi.admin.entity.publish.UdiDeviceIdEntity;
import com.glxp.udi.admin.req.publish.DeleteUdiDeviceIdRequest;
import com.glxp.udi.admin.req.publish.FilterDeviceIdRequest;
import com.glxp.udi.admin.res.publish.UdiDeviceIdResponse;

import java.util.List;

public interface UdiDeviceIdService {


    boolean insertUdiDeviceId(UdiDeviceIdEntity UdiDeviceIdEntity);

    boolean insertUdiDeviceIdList(List<UdiDeviceIdEntity> UdiDeviceIdEntities);

    boolean deleteUdiDeviceId(DeleteUdiDeviceIdRequest deleteUdiDeviceIdRequest);

    boolean modifyUdiDeviceId(UdiDeviceIdEntity UdiDeviceIdEntity);

    List<UdiDeviceIdEntity> selectBySubProductId(String SubProductId);

    List<UdiDeviceIdResponse> selectByProductId(FilterDeviceIdRequest filterDeviceIdRequest);

    boolean postUpdate(PostSuccessBean successListBean);

    UdiDeviceIdEntity selectByPriId(String primaryDeviceId);

    //关联查询上传
    List<UdiDeviceIdResponse> selectByByIds(List<String> ids);

    List<UdiDeviceIdResponse> selectKeysByIds(List<String> ids);

    UdiDeviceIdEntity selectById(String UDI_DeviceIdOID);
}
