package com.glxp.udi.admin.util;

import com.glxp.udi.admin.entity.auth.AuthAdmin;
import com.glxp.udi.admin.service.auth.AuthAdminService;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

public class GetAuthAdminUtil {
    AuthAdminService authAdminService;

    public GetAuthAdminUtil(AuthAdminService authAdminService) {
        this.authAdminService = authAdminService;
    }


    public AuthAdmin getAuthAdmin(ServletRequestAttributes attributes) {
        HttpServletRequest request = attributes.getRequest();
        String userId = request.getHeader("ADMIN_ID");
        AuthAdmin authAdmin = authAdminService.findById(Long.parseLong(userId));
        return authAdmin;
    }

}
